default_language_version:
    python: python3
repos:
  - repo: https://github.com/psf/black
    rev: 23.3.0
    hooks:
    - id: black
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.4.0
    hooks:
    - id: check-toml
    - id: check-yaml
    - id: trailing-whitespace
  - repo: https://github.com/astral-sh/ruff-pre-commit
    rev: v0.0.286
    hooks:
    - id: ruff
      args: [ --fix, --exit-non-zero-on-fix ]